- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_ConditionalSelectAttributeMethod;'
    index: 13038
    name: SAC - Conditional Select Attribute Method
    customTagName: conditionalSelectAttributeMethod
    superclasses:
    - '&IDC_Method;'
    relationships:
    - instance: '&IDR_Conditional_Method__has__Conditional_Method_Case;'
      customTagName: cases
      # let's try this, define a custom tag name local to this particular context
      # otherwise, we would have to have e.g. 'conditionalSelectAttributeCase' and 'conditionalSelectInstanceSetCase' because they're different..
      instanceCustomTagName: case

  - conditionalSelectAttributeMethod: '{c047715b-2547-47be-9437-9af40f1d6fdf}'
    forClassId: '&IDC_ConditionalSelectAttributeMethod'
    verb: 'get'
    name: 'example item from choices depending on arbitrary magic'
    cases:
    - case: '{ec04570c-c5ac-4146-ba4a-a9a496465067}'
      #conditionGroup: '{23705abe-d562-4335-b78b-1ba06d886866}'
      trueConditions: '&IDMB_Common_Boolean__get__Arbitrary_Magic_Toggle;'
      falseConditions:
      useAnyCondition: no
      # default implementation: `Common Numeric@get 42 (BA)*P*S[ramb]`
      executableReturningAttribute: '&IDMB_Common_Numeric__get__42;'
      
    - case: '{3e149124-cc01-4427-ae19-167a23e8b647}' # default case
      #conditionGroup: '{b5585cf6-0483-437f-9dc9-fb804f5b7db2}'
      trueConditions:
      falseConditions:
      useAnyCondition: no
      executableReturningAttribute: '&IDA_DateAndTime;'